Package org.jbpm.process.audit.query

## Class AbstractAuditQueryBuilderImpl<T,​R>

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<T,​R>

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<T,​R>`, `org.kie.internal.query.ParametrizedQueryBuilder<T>`, `org.kie.internal.query.ProcessInstanceIdQueryBuilder<T,​R>`, `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<T,​R>`, `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<T,​R>`
  Direct Known Subclasses:
    `AuditTaskQueryBuilderImpl`, `BAMTaskSummaryQueryBuilderImpl`, `NodeInstLogQueryBuilderImpl`, `ProcInstLogQueryBuilderImpl`, `TaskEventQueryBuilderImpl`, `VarInstLogQueryBuilderImpl`

      public abstract class AbstractAuditQueryBuilderImpl<T,​R>
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
      implements org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<T,​R>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.kie.api.runtime.CommandExecutor` | `executor` |
    `protected JPAAuditLogService` | `jpaAuditService` |

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAuditQueryBuilderImpl​(JPAAuditLogService jpaService)` |
    `protected` | `AbstractAuditQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `ascending​(org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy field)` |
    `org.kie.internal.query.ParametrizedQuery<R>` | `build()` |
    `T` | `date​(Date... date)` |
    `T` | `dateRangeEnd​(Date rangeStart)` |
    `T` | `dateRangeStart​(Date rangeStart)` |
    `T` | `descending​(org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy field)` |
    `protected JPAAuditLogService` | `getJpaAuditLogService()` |
    `protected abstract Class` | `getQueryType()` |
    `protected abstract Class<R>` | `getResultType()` |
    `T` | `processId​(String... processId)` |
    `T` | `processInstanceId​(long... processInstanceId)` |
    `T` | `processInstanceIdRange​(Long processInstanceIdMin, Long processInstanceIdMax)` |

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Field Detail

    - #### executor

          protected final org.kie.api.runtime.CommandExecutor executor

    - #### jpaAuditService

          protected final JPAAuditLogService jpaAuditService

  - ### Constructor Detail

    - #### AbstractAuditQueryBuilderImpl

          protected AbstractAuditQueryBuilderImpl​(JPAAuditLogService jpaService)

    - #### AbstractAuditQueryBuilderImpl

          protected AbstractAuditQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### getJpaAuditLogService

          protected JPAAuditLogService getJpaAuditLogService()

    - #### processInstanceId

          public T processInstanceId​(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.query.ProcessInstanceIdQueryBuilder<T,​R>`

    - #### processInstanceIdRange

          public T processInstanceIdRange​(Long processInstanceIdMin,
                                          Long processInstanceIdMax)

      Specified by:
        `processInstanceIdRange` in interface `org.kie.internal.query.ProcessInstanceIdQueryBuilder<T,​R>`

    - #### processId

          public T processId​(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<T,​R>`

    - #### date

          public T date​(Date... date)

    - #### dateRangeStart

          public T dateRangeStart​(Date rangeStart)

    - #### dateRangeEnd

          public T dateRangeEnd​(Date rangeStart)

    - #### ascending

          public T ascending​(org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<T,​R>`

    - #### descending

          public T descending​(org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<T,​R>`

    - #### getResultType

          protected abstract Class<R> getResultType()

    - #### getQueryType

          protected abstract Class getQueryType()

    - #### build

          public org.kie.internal.query.ParametrizedQuery<R> build()

      Specified by:
        `build` in interface `org.kie.internal.query.ExtendedParametrizedQueryBuilder<T,​R>`